
QGIS Application - Bug report #19582

QGIS crashes when click on "Plugins" in "Manage & Install Plugins"

2018-08-09 07:11 PM - Victor Ducrot

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.2 Regression?: No

Operating System: Linux 4.17.12-1.1-MANJARO x86_64 (gnome)Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27409

Description

Qgis crashes as soon as I click one of the plugin in the plugin manager after opening it.

It does not crash if I click on the left column (All, Installed, etc.), If I search or if I close the window.

Crash occurs whether a project has been launched or not.

It is similar to #18261 but as the qgis version and the operating system are different I submitted a new bug.

It seems also different from #19526 (crash on opening).

Trace below:

Thread 11 (Thread 0x7fff49dc9700 (LWP 13550)):

#0  0x00007fffea0ce3f6 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0

#1  0x00007ffff4c331dd in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/libQt5Core.so.5

#2  0x00007ffff4c2ac04 in  () at /usr/lib/libQt5Core.so.5

#3  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#4  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#5  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7fff627ff700 (LWP 13543)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007ffff4e34039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#4  0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007ffff4c28a99 in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#7  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7fffb18d5700 (LWP 13542)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f28e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffddc72348 in  () at /usr/lib/libgio-2.0.so.0

#4  0x00007fffe831aa2a in  () at /usr/lib/libglib-2.0.so.0

#5  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#6  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

2025-04-26 1/6



Thread 8 (Thread 0x7fffb20d6700 (LWP 13541)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007fffe82f2692 in  () at /usr/lib/libglib-2.0.so.0

#4  0x00007fffe831aa2a in  () at /usr/lib/libglib-2.0.so.0

#5  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#6  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7fffb33ce700 (LWP 13539)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007ffff4e34039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#4  0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007ffff4c28a99 in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#7  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7fffb3de1700 (LWP 13538)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007ffff4e34039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#4  0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007fffeaf4e4c0 in QCA::SyncThread::run() () at /usr/lib/libqca-qt5.so.2

#6  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#7  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#8  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7fffc3648700 (LWP 13537)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffe82f2523 in  () at /usr/lib/libglib-2.0.so.0

#2  0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#3  0x00007ffff4e34039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#4  0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#5  0x00007ffff4c28a99 in QThread::exec() () at /usr/lib/libQt5Core.so.5

#6  0x00007fffdb9d7976 in  () at /usr/lib/libQt5DBus.so.5

#7  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#8  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#9  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7fffc3e49700 (LWP 13536)):

#0  0x00007fffea0cdffc in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0

#1  0x00007fffc48d21a4 in  () at /usr/lib/dri/i965_dri.so

#2  0x00007fffc48d1e98 in  () at /usr/lib/dri/i965_dri.so

#3  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#4  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6
Thread 3 (Thread 0x7fffd0ba9700 (LWP 13535)):

#0  0x00007ffff42ffea9 in poll () at /usr/lib/libc.so.6

#1  0x00007fffd778d180 in  () at /usr/lib/libxcb.so.1

#2  0x00007fffd778ee4b in xcb_wait_for_event () at /usr/lib/libxcb.so.1

#3  0x00007fffd34df22a in  () at /usr/lib/libQt5XcbQpa.so.5

#4  0x00007ffff4c32b45 in  () at /usr/lib/libQt5Core.so.5

#5  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#6  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7fffd473a700 (LWP 13534)):

#0  0x00007ffff42d78b0 in nanosleep () at /usr/lib/libc.so.6

#1  0x00007ffff00f8c57 in  () at /usr/lib/libQt5WebKit.so.5

#2  0x00007ffff00f8dde in  () at /usr/lib/libQt5WebKit.so.5

#3  0x00007ffff00f7a43 in  () at /usr/lib/libQt5WebKit.so.5

#4  0x00007ffff00f7bf9 in  () at /usr/lib/libQt5WebKit.so.5

#5  0x00007ffff48a0d4f in execute_native_thread_routine (__p=0x555555bdb440) at

/build/gcc/src/gcc/libstdc++-v3/src/c++11/thread.cc:80

        __t = std::unique_ptr<std::thread::_State> = {get() = 0x555555bdb440}

#6  0x00007fffea0c8075 in start_thread () at /usr/lib/libpthread.so.0

#7  0x00007ffff430a53f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7ffff7f198c0 (LWP 13530)):

#0  0x00007ffff424886b in raise () at /usr/lib/libc.so.6

#1  0x00007ffff423340e in abort () at /usr/lib/libc.so.6

#2  0x00007ffff428a8b8 in __libc_message () at /usr/lib/libc.so.6

#3  0x00007ffff4290d4a in  () at /usr/lib/libc.so.6

#4  0x00007ffff42924dc in _int_free () at /usr/lib/libc.so.6

#5  0x00007fff48adb4d2 in std::locale::_Impl::_M_install_facet(std::locale::id const*, std::locale::facet const*) () at

/usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#6  0x00007fff48ae8033 in std::locale::_Impl::_Impl(unsigned long) () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#7  0x00007fff48ae8fa5 in std::locale::_S_initialize_once() () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#8  0x00007fffea0cf9af in __pthread_once_slow () at /usr/lib/libpthread.so.0

#9  0x00007fff48ae8ff1 in std::locale::_S_initialize() () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#10 0x00007fff48ae9033 in std::locale::locale() () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#11 0x00007fff48aba8f4 in std::ios_base::Init::Init() () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#12 0x00007fff48ab2034 in  () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#13 0x00007fff48ab2066 in  () at /usr/lib/jvm/java-10-jre/jre/lib/libdeploy.so

#14 0x00007ffff7de710a in call_init.part () at /lib64/ld-linux-x86-64.so.2

#15 0x00007ffff7de7206 in _dl_init () at /lib64/ld-linux-x86-64.so.2

#16 0x00007ffff7deb273 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2

#17 0x00007ffff434594f in _dl_catch_exception () at /usr/lib/libc.so.6

#18 0x00007ffff7deab48 in _dl_open () at /lib64/ld-linux-x86-64.so.2

#19 0x00007fffe85bde66 in  () at /usr/lib/libdl.so.2

#20 0x00007ffff434594f in _dl_catch_exception () at /usr/lib/libc.so.6

#21 0x00007ffff43459df in _dl_catch_error () at /usr/lib/libc.so.6

#22 0x00007fffe85be597 in  () at /usr/lib/libdl.so.2

#23 0x00007fffe85bdf06 in dlopen () at /usr/lib/libdl.so.2

#24 0x00007ffff4ddd5ee in  () at /usr/lib/libQt5Core.so.5

#25 0x00007ffff4dd6f66 in  () at /usr/lib/libQt5Core.so.5

#26 0x00007fffee301a7e in  () at /usr/lib/libQt5WebKit.so.5

#27 0x00007fffee2e9ef8 in  () at /usr/lib/libQt5WebKit.so.5

#28 0x00007fffee2e7033 in  () at /usr/lib/libQt5WebKit.so.5

#29 0x00007fffee2e7a99 in  () at /usr/lib/libQt5WebKit.so.5
#30 0x00007fffee2c5093 in  () at /usr/lib/libQt5WebKit.so.5

#31 0x00007fffef39063c in WebCore::Page::pluginData() const () at /usr/lib/libQt5WebKit.so.5

#32 0x00007fffeef8ce76 in  () at /usr/lib/libQt5WebKit.so.5

#33 0x00007fffef2adcc0 in  () at /usr/lib/libQt5WebKit.so.5

#34 0x00007fffef2ae24b in  () at /usr/lib/libQt5WebKit.so.5

#35 0x00007fffef55c36b in  () at /usr/lib/libQt5WebKit.so.5

#36 0x00007fffef30d67e in  () at /usr/lib/libQt5WebKit.so.5

#37 0x00007fffef2f8e74 in  () at /usr/lib/libQt5WebKit.so.5

#38 0x00007fffef5fd3e7 in  () at /usr/lib/libQt5WebKit.so.5

#39 0x00007fffef5f922f in  () at /usr/lib/libQt5WebKit.so.5

#40 0x00007fffef5fdcdd in  () at /usr/lib/libQt5WebKit.so.5

#41 0x00007ffff4e0aafc in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5

#42 0x00007fffebaa1656 in  () at /usr/lib/libQt5Network.so.5

#43 0x00007ffff4e0b3d2 in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5

#44 0x00007ffff5b54a74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#45 0x00007ffff5b5c341 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#46 0x00007ffff678191c in QgsApplication::notify(QObject*, QEvent*) () at /usr/lib/libqgis_core.so.3.2.0

#47 0x00007ffff4de0cb9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#48 0x00007ffff4de3d4c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at

/usr/lib/libQt5Core.so.5

#49 0x00007ffff4e34a54 in  () at /usr/lib/libQt5Core.so.5

#50 0x00007fffe82f2368 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0

#51 0x00007fffe82f25b1 in  () at /usr/lib/libglib-2.0.so.0

#52 0x00007fffe82f263e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0

#53 0x00007ffff4e34039 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/libQt5Core.so.5

#54 0x00007fffd3574722 in  () at /usr/lib/libQt5XcbQpa.so.5

#55 0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#56 0x00007ffff5d4a46e in QDialog::exec() () at /usr/lib/libQt5Widgets.so.5

#57 0x00007fff5b25da30 in  () at /usr/lib/python3.6/site-packages/qgis/_gui.so

#58 0x00007fff619dafb4 in _PyCFunction_FastCallDict () at /usr/lib/libpython3.6m.so.1.0

#59 0x00007fff619d79de in  () at /usr/lib/libpython3.6m.so.1.0

#60 0x00007fff619a785a in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#61 0x00007fff619d5ce9 in  () at /usr/lib/libpython3.6m.so.1.0

#62 0x00007fff619d7690 in  () at /usr/lib/libpython3.6m.so.1.0

#63 0x00007fff619d7ac2 in  () at /usr/lib/libpython3.6m.so.1.0

#64 0x00007fff619a785a in _PyEval_EvalFrameDefault () at /usr/lib/libpython3.6m.so.1.0

#65 0x00007fff619d7fc8 in PyEval_EvalCodeEx () at /usr/lib/libpython3.6m.so.1.0

#66 0x00007fff619a740c in PyEval_EvalCode () at /usr/lib/libpython3.6m.so.1.0

#67 0x00007fff61a77214 in  () at /usr/lib/libpython3.6m.so.1.0

#68 0x00007fff61a7a58d in PyRun_StringFlags () at /usr/lib/libpython3.6m.so.1.0

#69 0x00007fff61df313f in  () at /usr/lib/libqgispython.so.3.2.0

#70 0x00007fff61df5176 in  () at /usr/lib/libqgispython.so.3.2.0

#71 0x00007ffff74744fe in  () at /usr/lib/libqgis_app.so.3.2.0

#72 0x00007ffff698f014 in QgsPythonRunner::run(QString const&, QString const&) () at /usr/lib/libqgis_core.so.3.2.0

#73 0x00007ffff741ddae in QgisApp::showPluginManager() () at /usr/lib/libqgis_app.so.3.2.0

#74 0x00007ffff4e0ac50 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/libQt5Core.so.5

#75 0x00007ffff5b4e273 in QAction::triggered(bool) () at /usr/lib/libQt5Widgets.so.5

#76 0x00007ffff5b5096a in QAction::activate(QAction::ActionEvent) () at /usr/lib/libQt5Widgets.so.5

#77 0x00007ffff5cc8d7d in  () at /usr/lib/libQt5Widgets.so.5

#78 0x00007ffff5cd0572 in  () at /usr/lib/libQt5Widgets.so.5

#79 0x00007ffff5cd15dc in QMenu::mouseReleaseEvent(QMouseEvent*) () at /usr/lib/libQt5Widgets.so.5

#80 0x00007ffff5b942b8 in QWidget::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5
#81 0x00007ffff5cd3cec in QMenu::event(QEvent*) () at /usr/lib/libQt5Widgets.so.5

#82 0x00007ffff5b54a74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#83 0x00007ffff5b5c58a in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#84 0x00007ffff678191c in QgsApplication::notify(QObject*, QEvent*) () at /usr/lib/libqgis_core.so.3.2.0

#85 0x00007ffff4de0cb9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#86 0x00007ffff5b5b871 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

    at /usr/lib/libQt5Widgets.so.5

#87 0x00007ffff5baf9b7 in  () at /usr/lib/libQt5Widgets.so.5

#88 0x00007ffff5bb2235 in  () at /usr/lib/libQt5Widgets.so.5

#89 0x00007ffff5b54a74 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#90 0x00007ffff5b5c341 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5

#91 0x00007ffff678191c in QgsApplication::notify(QObject*, QEvent*) () at /usr/lib/libqgis_core.so.3.2.0

#92 0x00007ffff4de0cb9 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5

#93 0x00007ffff5386e34 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at

/usr/lib/libQt5Gui.so.5

#94 0x00007ffff5388df6 in

QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/libQt5Gui.so.5

#95 0x00007ffff5362b7c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()

at /usr/lib/libQt5Gui.so.5

#96 0x00007fffd357472d in  () at /usr/lib/libQt5XcbQpa.so.5

#97 0x00007ffff4ddf94c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5

#98 0x00007ffff4de7c46 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5

#99 0x000055555555cfe6 in  ()

#100 0x00007ffff423506b in __libc_start_main () at /usr/lib/libc.so.6

#101 0x000055555555fa7a in _start ()

History

#1 - 2018-08-10 09:47 PM - Jürgen Fischer

- Description updated

#2 - 2018-08-12 01:34 PM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2018-11-08 01:50 PM - Victor Ducrot

This crash does not occur any more with QGIS 3.2.3-Bonn.

I cannot yet test it with QGIS 3.4.1, it is not yet in manjaro stable.

Thank you.

#5 - 2018-11-08 02:04 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
